For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sales Channel Mapped Product

Retrieve a mapped product

get

Get details of a specific mapped product associated with a sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Details of the mapped product

application/json
pkintegerOptional

Primary key of the mapped product

mapped_attributesobjectOptional

A key-value map of all attributes for the product in the given channel.

attribute_set_idintegerOptional

ID of the related attribute set.

attribute_set_namestring · nullableOptional

Name of the related attribute set.

attribute_set_remote_idstring · nullableOptional

Remote ID of the related attribute set.

modified_datestring · date-timeOptional

Date when the product was last modified.

get/api/v1/channel/{channel_id}/mapped_products/{id}/
GET /api/v1/channel/{channel_id}/mapped_products/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "pk": 1,
  "mapped_attributes": {},
  "mapped_attribute_values": {
    "ANY_ADDITIONAL_PROPERTY": {
      "attribute_name": "text",
      "label": "text",
      "value": "text",
      "attribute_remote_id": "text"
    }
  },
  "attribute_set_id": 1,
  "attribute_set_name": "text",
  "attribute_set_remote_id": "text",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

List mapped products

get

Retrieve a list of mapped products associated with a specific sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Responses
200

List of mapped products

application/json
countintegerOptional

Total number of items

nextstring · nullableOptional

URL for next page

previousstring · nullableOptional

URL for previous page

get/api/v1/channel/{channel_id}/mapped_products/
GET /api/v1/channel/{channel_id}/mapped_products/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 1,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "pk": 1,
      "mapped_attributes": {},
      "mapped_attribute_values": {
        "ANY_ADDITIONAL_PROPERTY": {
          "attribute_name": "text",
          "label": "text",
          "value": "text",
          "attribute_remote_id": "text"
        }
      },
      "attribute_set_id": 1,
      "attribute_set_name": "text",
      "attribute_set_remote_id": "text",
      "modified_date": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated

Was this helpful?